aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2009-03-31 14:21:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-16 11:13:42 +0000
commit812377410c6827c36b4bea57b57c9b484b3b58ba (patch)
tree5a22011a9b0644fbbc32233fe63f2543d897d9bd /testing
parentefee242784bf5db0947e49a524d34a39b2221372 (diff)
downloadaports-812377410c6827c36b4bea57b57c9b484b3b58ba.tar.gz
aports-812377410c6827c36b4bea57b57c9b484b3b58ba.tar.bz2
aports-812377410c6827c36b4bea57b57c9b484b3b58ba.tar.xz
testing/multipath: new aport
Diffstat (limited to 'testing')
-rw-r--r--testing/multipath-tools/APKBUILD27
-rw-r--r--testing/multipath-tools/Makefile.patch11
2 files changed, 38 insertions, 0 deletions
diff --git a/testing/multipath-tools/APKBUILD b/testing/multipath-tools/APKBUILD
new file mode 100644
index 0000000000..e55f33116c
--- /dev/null
+++ b/testing/multipath-tools/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname="multipath-tools"
+pkgver=0.4.8
+pkgrel=0
+pkgdesc="Device Mapper Multipathing Driver"
+url="http://christophe.varoqui.free.fr/"
+license="GPL"
+depends="uclibc device-mapper libaio readline"
+makedepends="device-mapper-dev libaio-dev readline-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://christophe.varoqui.free.fr/$pkgname/$pkgname-$pkgver.tar.bz2
+ Makefile.patch"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ patch Makefile < ../../Makefile.patch
+ find . -name Makefile -exec sed -i -e 's/glibc/uclibc/g' {} \;
+
+ make prefix="$pkgdir/usr" sysconfdir="$pkgdir/etc" mandir="$pkgdir/usr/share/man" infodir="$pkgdir/usr/share/info" || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="3563b863b408d07c46929b6e8c2c248c multipath-tools-0.4.8.tar.bz2
+92318268d20a9622cdb9909d153c4ccd Makefile.patch"
diff --git a/testing/multipath-tools/Makefile.patch b/testing/multipath-tools/Makefile.patch
new file mode 100644
index 0000000000..ddf7058d33
--- /dev/null
+++ b/testing/multipath-tools/Makefile.patch
@@ -0,0 +1,11 @@
+--- src/multipath-tools-0.4.8/Makefile Thu Aug 2 21:05:37 2007
++++ Makefile Fri Feb 27 09:57:19 2009
+@@ -20,7 +20,7 @@
+ export KRNLSRC
+ export KRNLOBJ
+
+-BUILDDIRS = $(shell find . -mindepth 2 -name Makefile -exec dirname {} \; | grep -vE '^lib|/\.')
++BUILDDIRS = $(shell find . -name Makefile -exec dirname {} \; | grep -vE '^lib|/\.'|grep -v '^\.$$')
+
+ ifeq ($(MULTIPATH_VERSION),)
+ VERSION = $(shell basename ${PWD} | cut -d'-' -f3)